Package net.shibboleth.idp.attribute.resolver.dc.saml.util.impl

# Class AttributeAuthorityEntityIDReference

java.lang.Object
net.shibboleth.idp.attribute.resolver.dc.saml.util.impl.AttributeAuthorityEntityIDSource
net.shibboleth.idp.attribute.resolver.dc.saml.util.impl.AttributeAuthorityEntityIDReference

public class AttributeAuthorityEntityIDReference extends AttributeAuthorityEntityIDSource
Sub-type of `AttributeAuthorityEntityIDSource` which specifies a reference to an entityID in the form of an attribute resolver dependency attribute name.

## Constructor Summary

Constructors
Constructor
Description
`AttributeAuthorityEntityIDReference(String reference)`
Constructor.

## Method Summary

### Methods inherited from class net.shibboleth.idp.attribute.resolver.dc.saml.util.impl.AttributeAuthorityEntityIDSource

`getValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AttributeAuthorityEntityIDReference

public AttributeAuthorityEntityIDReference(@Nonnull String reference)
Constructor.

Parameters:
  `reference` - the authority entityID reference (dependency attribute name)